Bug 138804 - (IT_54349) netstat crash on ia64
netstat crash on ia64
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: net-tools (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Radek Vokal
:
Depends On:
Blocks: 132991
  Show dependency treegraph
 
Reported: 2004-11-11 04:47 EST by Bastien Nocera
Modified: 2007-11-30 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version: RHBA-2005-242
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-28 11:36:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Bastien Nocera 2004-11-11 04:47:18 EST
The problem might also happen on other 64-bit platforms. Under some
circumstances, the inode number was negative, the following patch
should fix it (from <Jan.Iven@cern.ch>):

--- net-tools-1.60/netstat.c_old        2004-11-10 15:24:37.000000000 0100
+++ net-tools-1.60/netstat.c    2004-11-10 15:24:32.000000000 +0100
@@ -272,7 +272,7 @@
    strcpy(pn->name,name);
}

-static const char *prg_cache_get(int inode)
+static const char *prg_cache_get(unsigned long inode)
{
    unsigned hi=PRG_HASHIT(inode);
    struct prg_node *pn;
Comment 1 Radek Vokal 2004-11-11 07:53:14 EST
Patch checked in - net-tools-1.60-40

Thanks
Comment 5 Jan Iven 2004-11-11 09:02:09 EST
(credit where credit is due. Patch was from Andreas.Hirstius@cern.ch..)
Comment 6 Radek Vokal 2004-12-06 04:14:05 EST
The patch is included in net-tools-1.60-20E.3. 
Comment 7 John Flanagan 2005-04-28 11:36:45 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-052.html
Comment 8 Tim Powers 2005-05-19 14:48:34 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2005-445.html

Note You need to log in before you can comment on or make changes to this bug.